import { jsx as t } from "react/jsx-runtime";
import { dFlex as s, mr1 as i } from "./index-general.module.js";
import { ComponentContainer as a } from "./index-ComponentContainer.js";
import { ModalStepperStep as l } from "./index-ModalStepperStep.js";
import { useState as c, useEffect as f } from "react";
const x = (o) => {
  const {
    activeIndex: m,
    stepsCount: r
  } = o, [n, p] = c(Array(r).fill(0));
  return f(() => {
    p(Array(r).fill(0));
  }, [r]), t(a, {
    className: s,
    children: n.map((u, e) => t("div", {
      className: i,
      children: t(l, {
        isActive: m === e + 1
      })
    }, e))
  });
};
export {
  x as ModalStepperSteps
};
